Bullet Collision Detection & Physics Library: btConjugateGradient< MatrixX > Class Template Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Private Types | Private Attributes | List of all members
btConjugateGradient< MatrixX > Class Template Reference

`#include <btConjugateGradient.h>`

Inheritance diagram for btConjugateGradient< MatrixX >:
[legend]
Collaboration diagram for btConjugateGradient< MatrixX >:
[legend]

## Public Member Functions
| btConjugateGradient (const int max_it_in)
virtual | ~btConjugateGradient ()
int | solve (MatrixX &A, TVStack &x, const TVStack &b, bool verbose=false)
void | reinitialize (const TVStack &b)
Public Member Functions inherited from btKrylovSolver< MatrixX >
| btKrylovSolver (int maxIterations, btScalar tolerance)
virtual | ~btKrylovSolver ()
virtual int | solve (MatrixX &A, TVStack &x, const TVStack &b, bool verbose=false)=0
virtual void | reinitialize (const TVStack &b)=0
virtual TVStack | sub (const TVStack &a, const TVStack &b)
virtual btScalar | squaredNorm (const TVStack &a)
virtual btScalar | norm (const TVStack &a)
virtual btScalar | dot (const TVStack &a, const TVStack &b)
virtual void | multAndAddTo (btScalar s, const TVStack &a, TVStack &result)
virtual TVStack | multAndAdd (btScalar s, const TVStack &a, const TVStack &b)
virtual void | setTolerance (btScalar tolerance)

## Private Types
typedef btAlignedObjectArray< btVector3 > | TVStack
typedef btKrylovSolver< MatrixX > | Base

## Private Attributes
TVStack | r
TVStack | p
TVStack | z
TVStack | temp

## Additional Inherited Members
Public Attributes inherited from btKrylovSolver< MatrixX >
int | m_maxIterations
btScalar | m_tolerance

## Detailed Description

template<class MatrixX>
class btConjugateGradient< MatrixX >

Definition at line 20 of file btConjugateGradient.h.

## Member Typedef Documentation

## ◆ Base

template<class MatrixX >

typedef btKrylovSolver<MatrixX> btConjugateGradient< MatrixX >::Base
| private

Definition at line 23 of file btConjugateGradient.h.

## ◆ TVStack

template<class MatrixX >

typedef btAlignedObjectArray<btVector3> btConjugateGradient< MatrixX >::TVStack
| private

Definition at line 22 of file btConjugateGradient.h.

## Constructor & Destructor Documentation

## ◆ btConjugateGradient()

template<class MatrixX >

btConjugateGradient< MatrixX >::btConjugateGradient | ( | const int | max_it_in | ) |
| inline

Definition at line 27 of file btConjugateGradient.h.

## ◆ ~btConjugateGradient()

template<class MatrixX >

virtual btConjugateGradient< MatrixX >::~btConjugateGradient | ( |  | ) |
| inlinevirtual

Definition at line 32 of file btConjugateGradient.h.

## Member Function Documentation

## ◆ reinitialize()

template<class MatrixX >

void btConjugateGradient< MatrixX >::reinitialize | ( | const TVStack & | b | ) |
| inlinevirtual

Implements btKrylovSolver< MatrixX >.

Definition at line 109 of file btConjugateGradient.h.

## ◆ solve()

template<class MatrixX >

int btConjugateGradient< MatrixX >::solve | ( | MatrixX & | A,
|  | TVStack & | x,
|  | const TVStack & | b,
|  | bool | verbose = `false`
| ) |  |
| inlinevirtual

Implements btKrylovSolver< MatrixX >.

Definition at line 35 of file btConjugateGradient.h.

## Member Data Documentation

## ◆ p

template<class MatrixX >

TVStack btConjugateGradient< MatrixX >::p
| private

Definition at line 24 of file btConjugateGradient.h.

## ◆ r

template<class MatrixX >

TVStack btConjugateGradient< MatrixX >::r
| private

Definition at line 24 of file btConjugateGradient.h.

## ◆ temp

template<class MatrixX >

TVStack btConjugateGradient< MatrixX >::temp
| private

Definition at line 24 of file btConjugateGradient.h.

## ◆ z

template<class MatrixX >

TVStack btConjugateGradient< MatrixX >::z
| private

Definition at line 24 of file btConjugateGradient.h.

The documentation for this class was generated from the following file:

- btConjugateGradient.h